Debian Bug report logs - #734282
ITP: linop -- Linear mathematical operators in Python

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ghislain Vaillant <ghisvail@gmail.com>

Date: Sun, 5 Jan 2014 15:09:02 UTC

Owned by: Ghislain Vaillant <ghisvail@gmail.com>

Severity: wishlist

Fixed in version linop/0.8-1

Done: Ghislain Vaillant <ghisvail@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#734282; Package wnpp. (Sun, 05 Jan 2014 15:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghislain Vaillant <ghisvail@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 05 Jan 2014 15:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ghislain Vaillant <ghisvail@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-science <debian-science@lists.debian.org>
Subject: ITP: linop -- Linear mathematical operators in Python
Date: Sun, 05 Jan 2014 15:06:15 +0000
Package: wnpp
Severity: wishlist
Owner: Ghislain Vaillant <ghisvail@gmail.com>

  * Package name    : linop
    Version         : 0.8
    Upstream Author : Ghislain Vaillant <ghisvail@gmail.com>
  * URL             : https://pypi.python.org/pypi/linop
  * License         : BSD
    Programming Lang: Python
    Description     : Linear mathematical operators in Python

Linop is a library providing a set of classes for abstracting the
concept of linear operators to be used for development of various
mathematical frameworks.

Linop allows you to define a simple operator based on its shape, data
type, forward and (optionally) adjoint transformations, or to stack a
bunch of existing operators in blocks. Using linop, one can write a
complicated series of functions in mathematically readable forms such as
"y = A.T * A * x" or "D = A * B + C".

The library is written in Python and supports both Python 2 and 3. There
is an extensive documentation for it available at
http://pythonhosted.org//linop.

This package should be maintained by the Debian Science Team. A
preliminary version will soon be made available at
http://anonscm.debian.org/gitweb/?p=debian-science/packages/linop.git




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#734282; Package wnpp. (Sun, 05 Jan 2014 19:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghislain Vaillant <ghisvail@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 05 Jan 2014 19:15:08 GMT) Full text and rfc822 format available.

Message #10 received at 734282@bugs.debian.org (full text, mbox):

From: Ghislain Vaillant <ghisvail@gmail.com>
To: 734282@bugs.debian.org
Subject: Re: Bug#734282: Acknowledgement (ITP: linop -- Linear mathematical operators in Python)
Date: Sun, 05 Jan 2014 19:12:06 +0000
I have now uploaded the debian files.

The python 2, python 3 and documentation packages build fine and is
almost Lintian-free. Only warnings seem to be related to using mathjax
with sphinxdoc. Please let me know if this is a deal breaker.

Ghis




Reply sent to Ghislain Vaillant <ghisvail@gmail.com>:
You have taken responsibility. (Tue, 11 Feb 2014 21:03:14 GMT) Full text and rfc822 format available.

Notification sent to Ghislain Vaillant <ghisvail@gmail.com>:
Bug acknowledged by developer. (Tue, 11 Feb 2014 21:03:14 GMT) Full text and rfc822 format available.

Message #15 received at 734282-close@bugs.debian.org (full text, mbox):

From: Ghislain Vaillant <ghisvail@gmail.com>
To: 734282-close@bugs.debian.org
Subject: Bug#734282: fixed in linop 0.8-1
Date: Tue, 11 Feb 2014 21:00:07 +0000
Source: linop
Source-Version: 0.8-1

We believe that the bug you reported is fixed in the latest version of
linop, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 734282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ghislain Vaillant <ghisvail@gmail.com> (supplier of updated linop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 04 Jan 2014 14:03:10 +0000
Source: linop
Binary: python-linop python3-linop python-linop-doc
Architecture: source amd64 all
Version: 0.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Ghislain Vaillant <ghisvail@gmail.com>
Description: 
 python-linop - Linear mathematical operators in Python (Python 2)
 python-linop-doc - Linear mathematical operators in Python (documentation)
 python3-linop - Linear mathematical operators in Python (Python 3)
Closes: 734282
Changes: 
 linop (0.8-1) unstable; urgency=low
 .
   * Initial release (Closes: #734282)
Checksums-Sha1: 
 914739803754bbe9babe82d5da9ce794ed6c973f 2234 linop_0.8-1.dsc
 ea1193461a4d464e0ceb575c491571073a40bb61 19856 linop_0.8.orig.tar.gz
 297930542ff902476112cfaa14c30e9b4a4c6438 2712 linop_0.8-1.debian.tar.xz
 24c8bb23fca363a2b4962b4192379e2fc6599870 11130 python-linop_0.8-1_amd64.deb
 813f6cb256ceb8c2427ed1b36e3a8f2ac998ec71 11148 python3-linop_0.8-1_amd64.deb
 2ab03d856dbd9cc15ae1ec7b43ff18be41159078 32220 python-linop-doc_0.8-1_all.deb
Checksums-Sha256: 
 52b4a9be5f0a0e49bf806c3b3afd55eadc1dd76d69316544de26d8f52b39fb3a 2234 linop_0.8-1.dsc
 241e4a47022999eca88f2daef86e146a793245850c30a4d14c3c269bfdb65316 19856 linop_0.8.orig.tar.gz
 5bdd6b06ec06e8c6a8bbc9e7ceae248c2e7aac16d780f05f5d171cc01f1cb529 2712 linop_0.8-1.debian.tar.xz
 b2df512b84c4a51c47a84b5eb82c3339179ed2c69c9aaad1d24d6e72b86d46ee 11130 python-linop_0.8-1_amd64.deb
 f71f662f67fb2b8c52c61b9127a0bbbfeb2a8fcc81fc7c83e48a20feb650727f 11148 python3-linop_0.8-1_amd64.deb
 9fa33803d73d02c1c05c4b662dfb411c3b373560394c734047ae26159d3a54b6 32220 python-linop-doc_0.8-1_all.deb
Files: 
 1fb5b7d8b565f9888c92fb380f4e0a5e 2234 python optional linop_0.8-1.dsc
 d2efc60830e9ef3fecc3c3a61a521c86 19856 python optional linop_0.8.orig.tar.gz
 865ce4db6b8debc9c4f1cbf841e4293f 2712 python optional linop_0.8-1.debian.tar.xz
 1601d542a71472be1e8cdd9cc2c14a2b 11130 python optional python-linop_0.8-1_amd64.deb
 867322eb630c77d7ff40881e7b85eb7c 11148 python optional python3-linop_0.8-1_amd64.deb
 e5db9ada863785ffd217640c553c163a 32220 doc optional python-linop-doc_0.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJS+TUjAAoJEFeKBJTRxkbRWJAP+weFV5Kx0UR4cn0liAj1an4J
QKCYC82QFWOtlrnJU/R2RwRVPpO5Yikj4TEoYogSEDtanZ96PwR4sJuX1Zn9bvFS
3JNyD0IKWmqH/vJhCeipdi7a789QRS95/M5/TCZcXzzzc66kAxGF41RCiQKyYVBV
69uM6vpXPKP1pK9RBe5Vef1cjJdlWFzZrGJGSTPvq6n83T3UEhwu16K5eK8HsLAK
TGyyKO73vG6OwxALQgE0kWlacw8SKVgIH4Kzp/wQgn1AFQIUl3X9X263+/yCm62d
tJUgTlPG1t3IBboZZzzdkHAhHVSBgfuOzMe4YhcWzGQjuUOcQtGoOMpcEbYvq0I+
w71eob4pERdKMcTEVC3p2Y727ejWivf1muopJzj7UblQHMIVexPF67atfqV5Hs3Q
SJ7ZvHV0TQBxnDzdoN8RvucdSK6WHhdv9ghnw6puKcHDU+FX5sT+ywjlJIqrE16P
Nn3resSvTPGwHj4QYdQgN5wO7RwV/ED4AtTuUvFlL26YOxPmEu2DfbAbTtP8jCqz
gqi5vpFzun5Ll3+tOno8KGCxwpmO1ox8EXwuLnaPd/hKxfnwY4biN76yGBz52Fr7
6Unhq139nB3KcByneN3v0z7JdjR3kOGwshi6l0OjoIJQ5PnrF4nrb9CE4aQyrG/h
OHkKjmvMHjA5pBZPbfS/
=zQWA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Mar 2014 07:33:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:07:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.